Skip to main content

API integration

Direct integration

This type of integration allows you to increase the amount of a prior authorization (Auth) on your own payment page.

Interaction flow:

Interaction flow

A request for an incremental authorization can only be applied to primary authorization (auth) operations with a successful (success) status. Use the POST HTTP method.

Request parameters:

ParameterTypeRequiredDescription
pos_idUUIDMerchant's project identifier
order_idStringIdentifier of the original order (auth) for which the initial authorization was successfully performed
increment_amountNumberDelta amount by which the current hold should be increased. Passed as a number (e.g., 20.00)
order_currencyCURRENCYTransaction currency (ISO 4217). Must match the currency of the original hold (auth)
commentStringDescription of the reason for the increment. Shown in the merchant portal, helps with dispute/chargeback investigation
server_urlURLWebhook notification will be sent to this URL

Request example:

$ curl --location 'https://api.finline.io/api/v1/auth-increment' \
-H "Content-Type: application/json" \
-H "X-API-AUTH: CPAY-HMAC-SHA256 ${API_KEY}:${SIGNATURE}" \
-X POST -d '{
"pos_id": "${POS_ID}",
"order_id": "auth-78901",
"increment_amount": 20.00,
"order_currency": "UAH",
"comment": "Increasing the hold amount for an additional stop",
"server_url": "https://api.merchant.com/webhooks/callback"
}'

Response parameters:

ParameterTypeDescription
operation_idUUIDUnique increment identifier
payment_idUUIDpayment identifier of primary operation
order_idStringMerchant's order_id of primary operation
transaction_idUUIDUnique transaction identifier
pos_idUUIDMerchant's identifier (POS_ID)
modeMODEdirect
methodMETHODauth_increment
amountNumberActual increment amount
currencyCURRENCYTransaction currency
statusSTATUSTransaction status
status_codeSTATUS_CODEpayment status code
status_descriptionSTATUS_DESCRIPTIONpayment status code description
feeObjectAmount and currency of commission
commentStringIncrement comment
created_atTIMESTAMPTimestamp when transaction was created
processed_atTIMESTAMPTimestamp when transaction was updated last time

Response example:

{
"operation_id": "edf7605c-99a8-43be-a1a5-2e96ebac8512",
"payment_id": "c4939398-1dad-4b92-1c34-7f6802379180",
"order_id": "auth-78901",
"transaction_id": "4f98dc46-ffff-4ba7-a267-286fe7669894",
"pos_id": "6eb070d5-7fbe-1176-9488-c152b60dd346",
"mode": "direct",
"method": "auth_increment",
"amount": 20.00,
"currency": "UAH",
"status": "success",
"status_code": "1000",
"status_description": "Transaction is successful.",
"fee": null,
"comment": "Increasing the hold amount for an additional stop",
"created_at": "2018-10-10T10:10:10.100",
"processed_at": "2018-10-10T10:10:12.000"
}

Next steps

The testing and going live procedure is the same as for one-step split payments.

See also: